# kevin: platform-specific notes

Early versions of ownerboot put the initramfs into the kernel image
using `CONFIG_INITRAMFS_SOURCE`.  This would cause the boot process
to hang somewhere during the coreboot-to-Linux handoff process for
certain builds; the trigger seemed to have something to do with file
sizes.  Overall it was not very reliable.  Putting the initramfs in
the FIT image instead solved this problem.


# disassembly videos

- iFixit has a [photo guide](https://www.ifixit.com/Guide/Samsung+Chromebook+Plus+Battery+Replacement/101916) showing how to open the case and
  also how to replace the battery.  [This diagram](https://www.ifixit.com/Guide/How+to+disable+touchscreen+on+samsung+chromebook+plus/101905#s191207) (from a
  different guide) shows the order to reinstall the back panel
  screws for the best alignment results.

- [This video](https://youtube.com/watch?v=AW_6ZPhacgM) shows how to disassemble the laptop.

- [This diagram](https://www.ifixit.com/Guide/How+to+disable+touchscreen+on+samsung+chromebook+plus/101905#s191205) shows the location of some of the connectors.

# documentation

- The US FCC registration has [internal photos](https://fccid.io/A3LXE513C24/Internal-Photos/Internal-Photos-XE513C24-Rev1-3168065) of the board
  components.

# improvements

- [@SolidHal's guide](https://github.com/SolidHal/Samsung_Chromebook_plus_v1_wifi_from_webcam) to transplanting blobless wifi chips into
  your laptop.  This looks scary but it's actually really easy.

  - The [nanohub](https://muxtronics.nl/nanohub.html) is no longer manufactured so you'll need to
    sacrifice your webcam in order to do this.

  - You can completely remove the monitor cable (the cable that runs
    *through* the hinge) from the laptop if you want; then you can
    do all the splicing in a much roomier setting with no worries
    about damaging other components.  The disassembly video above
    shows how (you don't need to remove the hinge).
